# Uses of Interface
org.eclipse.core.resources.undo.snapshot.IMarkerSnapshot

Packages that use IMarkerSnapshot
Package
Description
org.eclipse.core.resources.undo.snapshot

## Uses of IMarkerSnapshot in org.eclipse.core.resources.undo.snapshot

Methods in org.eclipse.core.resources.undo.snapshot that return IMarkerSnapshot
Modifier and Type
Method
Description
`static IMarkerSnapshot`
ResourceSnapshotFactory.`fromMarker(IMarker marker)`
Create a marker snapshot from the specified marker.
`static IMarkerSnapshot`
ResourceSnapshotFactory.`fromMarkerDetails(String type, Map<String,Object> attributes, IResource resource)`
Create a marker snapshot from the specified marker type, attributes, and resource.